System 2.0.0.0 4.0.0.0 System.Enum

Most of these errors are returned by the underlying socket provider.

Defines error codes for the class.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  An attempt was made to access a in a way that is forbidden by its access permissions.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  Only one use of an address is normally permitted.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The address family specified is not supported. This error is returned if the IPv6 address family was specified and the IPv6 stack is not installed on the local machine. This error is returned if the IPv4 address family was specified and the IPv4 stack is not installed on the local machine.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The selected IP address is not valid in this context.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The nonblocking already has an operation in progress.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The connection was aborted by the .NET Framework or the underlying socket provider.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The remote host is actively refusing a connection.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The connection was reset by the remote peer.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  A required address was omitted from an operation on a .

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  A graceful shutdown is in progress.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  An invalid pointer address was detected by the underlying socket provider.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The operation failed because the remote host is down.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  No such host is known. The name is not an official host name or alias.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  There is no network route to the specified host.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  A blocking operation is in progress.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  A blocking call was canceled.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  An invalid argument was supplied to a member.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The application has initiated an overlapped operation that cannot be completed immediately.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The is already connected.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The datagram is too long.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The network is not available.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The application tried to set on a connection that has already timed out.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  No route to the remote host exists.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  No free buffer space is available for a operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The requested name or IP address was not found on the name server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The error is unrecoverable or the requested database cannot be located.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The application tried to send or receive data, and the is not connected.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The underlying socket provider has not been initialized.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  A operation was attempted on a non-socket.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The overlapped operation was aborted due to the closure of the .

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The address family is not supported by the protocol family.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  Too many processes are using the underlying socket provider.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The protocol family is not implemented or has not been configured.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The protocol is not implemented or has not been configured.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  An unknown, invalid, or unsupported option or level was used with a .

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The protocol type is incorrect for this .

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  A request to send or receive data was disallowed because the has already been closed.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  An unspecified error has occurred.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The support for the specified socket type does not exist in this address family.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The operation succeeded.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The network subsystem is unavailable.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The connection attempt timed out, or the connected host has failed to respond.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  There are too many open sockets in the underlying socket provider.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The name of the host could not be resolved. Try again later.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The specified class was not found.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  The version of the underlying socket provider is out of range.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError

  An operation on a nonblocking socket cannot be completed immediately.